Bug 585598 - Review Request: python26-PyXML - XML libraries for python
Review Request: python26-PyXML - XML libraries for python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On: 574506
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-24 19:29 EDT by Steve Traylen
Modified: 2010-12-17 01:50 EST (History)
2 users (show)

See Also:
Fixed In Version: python26-PyXML-0.8.4-23.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 01:50:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2010-04-24 19:29:15 EDT
This is a strictly EPEL5 package for use with with the python26 package.

Spec URL: http://cern.ch/straylen/rpms/python26-PyXML/python26-PyXML.spec
SRPM URL: http://cern.ch/straylen/rpms/python26-PyXML/python26-PyXML-0.8.4-21.el5.src.rpm
Description: 
An XML package for Python.  The distribution contains a
validating XML parser, an implementation of the SAX and DOM
programming interfaces and an interface to the Expat parser.

I wanted to check, the result:
$ rpm -pq --provides ../RPMS/x86_64/python26-PyXML-0.8.4-21.el5.x86_64.rpm boolean.so()(64bit)  
pyexpat.so()(64bit)  
sgmlop.so()(64bit)  

Is that okay or I need to remove these?
Comment 1 Steve Traylen 2010-06-23 16:16:32 EDT
 
> I wanted to check, the result:
> $ rpm -pq --provides ../RPMS/x86_64/python26-PyXML-0.8.4-21.el5.x86_64.rpm
> boolean.so()(64bit)  
> pyexpat.so()(64bit)  
> sgmlop.so()(64bit)  
> 
> Is that okay or I need to remove these?    

To answer my own question, this is fine and perfectly normal.

Steve.
Comment 2 Kevin Fenzi 2010-11-24 19:15:16 EST
I'll go ahead and look at reviewing this. 

Look for a review in a bit.
Comment 3 Kevin Fenzi 2010-11-24 19:46:10 EST
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines. [1]
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Spec file is legible and written in American English.
[x]  Spec file lacks Packager, Vendor, PreReq tags.
[x]  Spec uses macros instead of hard-coded directory names.
[x]  Package consistently uses macros.
[x]  Macros in Summary, %description expandable at SRPM build time.
[x]  PreReq is not used.
[x]  Requires correct, justified where necessary.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines. [2]
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)).
[x]  Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install.
[x]  Package use %makeinstall only when ``make install DESTDIR=...'' doesn't work.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Changelog in prescribed format.
[!]  Rpmlint output is silent.
[x]  License field in the package spec file matches the actual license.
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  License file installed when any subpackage combination is installed.
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines. [3,4]
[x]  Sources contain only permissible code or content.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.

1f7655050cebbb664db976405fdba209  PyXML-0.8.4.tar.gz
1f7655050cebbb664db976405fdba209  PyXML-0.8.4.tar.gz.orig


[x]  Compiler flags are appropriate.
[x]  %build honors applicable compiler flags or justifies otherwise.
[x]  Package must own all directories that it creates.
[x]  Package does not own files or directories owned by other packages.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Each %files section contains %defattr.
[x]  No %config files under /usr.
[x]  Package contains code, or permissable content.
[x]  File names are valid UTF-8.
[x]  Package uses nothing in %doc for runtime.
[x]  Package contains no bundled libraries.
[x]  Useful -debuginfo package or justification otherwise.
[x]  Rpath absent or only used for internal libs.
[x]  Package does not genrate any conflict.
[x]  Package is not relocatable.
[x]  Package is not known to require ExcludeArch.
[x]  Package installs properly.
[x]  Package obeys FHS, except libexecdir and /usr/target.
[x]  Package meets the Packaging Guidelines. [6]

=== SUGGESTED ITEMS ===
[x]  Package functions as described.
[x]  SourceX is a working URL.
[x]  SourceX / PatchY prefixed with %{name}.
[x]  Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[x]  Reviewer should test that the package builds in mock.
[x]  Package should compile and build into binary rpms on all supported architectures.
[x]  Dist tag is present.
[x]  Spec use %global instead of %define.
[x]  Scriptlets must be sane, if used.
[x]  No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.

=== Issues ===
1. It doesn't build. ;) 

You need to add 'python26-devel' to BuildRequires. 

2. rpmlint says: 
python26-PyXML.i386: W: no-manual-page-for-binary xmlproc_parse26
python26-PyXML.i386: W: no-manual-page-for-binary xmlproc_val26
python26-PyXML.i386: W: file-not-in-%lang /usr/lib/python2.6/site-packages/_xmlplus/dom/de/LC_MESSAGES/4Suite.mo
python26-PyXML.i386: W: file-not-in-%lang /usr/lib/python2.6/site-packages/_xmlplus/dom/en_US/LC_MESSAGES/4Suite.mo
python26-PyXML.i386: W: file-not-in-%lang /usr/lib/python2.6/site-packages/_xmlplus/dom/fr/LC_MESSAGES/4Suite.mo

I think those can all probibly be ignored. 

You can add the BuildRequires before importing, I see nothing else that 
looks like a blocker here, so this package is APPROVED.
Comment 4 Steve Traylen 2010-11-27 16:04:12 EST
Thanks, missing build requires added and now builds in mock.

http://cern.ch/straylen/rpms/python26-PyXML/python26-PyXML.spec
http://cern.ch/straylen/rpms/python26-PyXML/python26-PyXML-0.8.4-22.el5.src.rpm
Comment 5 Steve Traylen 2010-11-27 16:06:34 EST
New Package SCM Request
=======================
Package Name: python26-PyXML
Short Description: XML libraries for python
Owners: stevetraylen
Branches: el5
InitialCC:

This is a strictly EPEL5 only build - i.e devel can be closed
down immediately.

Steve.
Comment 6 Steve Traylen 2010-11-27 16:06:59 EST
New Package SCM Request
=======================
Package Name: python26-PyXML
Short Description: XML libraries for python
Owners: stevetraylen
Branches: el5
InitialCC:

This is a strictly EPEL5 only build - i.e devel can be closed
down immediately.

Steve.
Comment 7 Jason Tibbitts 2010-11-29 11:56:04 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2010-11-29 13:37:02 EST
python26-PyXML-0.8.4-23.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-PyXML-0.8.4-23.el5
Comment 9 Fedora Update System 2010-11-30 11:25:56 EST
python26-PyXML-0.8.4-23.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-PyXML'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python26-PyXML-0.8.4-23.el5
Comment 10 Fedora Update System 2010-12-17 01:50:49 EST
python26-PyXML-0.8.4-23.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.